Page MenuHomeFreeBSD

Upgrade cloudabi-utils to the latest version.
ClosedPublic

Authored by ed on Apr 22 2016, 7:33 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 9, 5:54 PM
Unknown Object (File)
Fri, Feb 9, 5:54 PM
Unknown Object (File)
Fri, Feb 9, 5:54 PM
Unknown Object (File)
Thu, Feb 8, 11:15 PM
Unknown Object (File)
Jan 14 2024, 3:50 PM
Unknown Object (File)
Jan 10 2024, 10:22 PM
Unknown Object (File)
Dec 23 2023, 12:17 PM
Unknown Object (File)
Nov 18 2023, 3:22 PM
Subscribers

Details

Summary

The latest version of cloudabi-run now includes an emulator for running
CloudABI executables. Though this emulator has been primarily developed
for Mac OS X, it also works reasonably well on FreeBSD. This means that
FreeBSD users can now experiment with CloudABI even on FreeBSD <11.

The new version of cloudabi-utils now depends on an additional package,
simply called cloudabi. This package installs a set of headers that
describe the actual binary interface that programs can use.

Test Plan

Seems to work fine on my FreeBSD 10 system. 'cloudabi-run -e' can run
some simple programs.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

ed retitled this revision from to Upgrade cloudabi-utils to the latest version..
ed updated this object.
ed edited the test plan for this revision. (Show Details)
ed added reviewers: bapt, beat.
beat edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Apr 22 2016, 10:45 AM
This revision was automatically updated to reflect the committed changes.